extends Node

class_name TaskCreator

signal record_task
signal finish_task

var task_list = null

func _ready():
	pass

func create_task(
	source: Object,
	assignment = null,
	location = null,
	interaction = null,
	urgency = null,
):
#Creates a task with the information provided and sends it to the list.
	
	var task: Dictionary = {
		"source": source,
		"assignment": assignment,
		"location": location,
		"interaction": interaction,
		"urgency": urgency,
	}
	emit_signal("record_task", task)

func complete_task(
	source,
	task
):
#Requests removal of a completed task

	emit_signal("finish_task", source, task)
